[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCloseAction

Represents actions that can occur when a form is closed.

## Declaration

Source position: forms.pp line 66

`type TCloseAction = (`
`caNone,` |  | Do nothing.
`caHide,` |  | The form is hidden.
`caFree,` |  | The form is destroyed.
`caMinimize` |  | The form is minimized.
`);`

## Version info

Modified in LCL 3.0 to be an alias to TCloseAction in System.UITypes for FPC 3.3.0 or higher.

## See also

TCustomForm.OnClose |  | Handler called when the form is closed. It determines what happens to the form (destroy, hide, etc.).